#include "app_timer.h"
#include "nrf_pwr_mgmt.h"
#include "nrf_crypto_init.h"
#include "nrfx_clock.h"

#include "nrf_delay.h"

#include "customble.h"

void timers_init(void)
{
  ret_code_t err_code = app_timer_init();
  APP_ERROR_CHECK(err_code);
}

static void idle_state_handle(void)
{
  nrf_pwr_mgmt_run();
}

/**@brief Function for initializing power management.
 */
void power_management_init(void)
{
  ret_code_t err_code;
  err_code = nrf_pwr_mgmt_init();
  APP_ERROR_CHECK(err_code);
}

int main(void)
{
  timers_init();
  ble_timers_init();
  ble_stack_init();

  power_management_init();

  advertising_init();

  advertising_start();

  for (;;)
  {
    idle_state_handle();
  }
}
